=== debian/changelog ===
pidgin-whatsapp (0.9.0mx150+1) mx; urgency=medium

  * Repackaged for MX-15

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Thu, 11 Feb 2016 13:22:14 -0500

pidgin-whatsapp (0.9.0) trusty; urgency=low

  * Implemented axolotl encryption
  * Added libprotobuf as a dependency
  * Implemented most decryption schemes, even for groups
  * Message sending only working for plaintext messages
  * Implemented WA1.6 network protocol
  * This is very WIP and unstable, many bugs will probably show up

 -- David Guillen Fandos <david@davidgf.net>  Thu, 29 Jan 2016 00:45:00 +0100

pidgin-whatsapp (0.8.6) trusty; urgency=low

  * Some cleanup for smaller binary size
  * Potentially fixed some crashes
  * Fixed "last seen" timestamp

 -- David Guillen Fandos <david@davidgf.net>  Thu, 21 Jul 2015 23:00:00 +0100

pidgin-whatsapp (0.8.5) trusty; urgency=low

  * Update default WhatsApp client version

 -- David Guillen Fandos <david@davidgf.net>  Thu, 21 Jul 2015 23:00:00 +0100

pidgin-whatsapp (0.8.4) trusty; urgency=low

  * Fixed a bug (segfault) introduced in 0.8.3

 -- David Guillen Fandos <david@davidgf.net>  Thu, 1 Jul 2015 18:25:00 +0100

pidgin-whatsapp (0.8.3) trusty; urgency=low

  * Changed some protocol stuff to behave like Android.
  * Fixed some minor issues with groups.
  * Implemented new groups (v2). Should fix group compatibility problems.
  * Some fixes on VCard reception

 -- David Guillen Fandos <david@davidgf.net>  Thu, 25 Jun 2015 22:47:00 +0200

pidgin-whatsapp (0.8.2) trusty; urgency=low

  * Fixed a bug which prevented messages from being received in a random fashion

 -- David Guillen Fandos <david@davidgf.net>  Wed, 6 May 2015 20:45:00 +0100

pidgin-whatsapp (0.8.1) trusty; urgency=low

  * Added ability to detect incoming voice calls
  * Fixed some bugs which cause the connection to drop (keepalive)

 -- David Guillen Fandos <david@davidgf.net>  Wed, 22 Apr 2015 19:45:00 +0100

pidgin-whatsapp (0.8) trusty; urgency=low

  * Ability to change profile picture
  * Ability to set privacy options
  * Fixed image sending by creating realistic thumbnails
  * Fixed profile picture update for contacts in buddy list
  * Fixing some features to look like an android phone
  * Supports receiving broadcast messages
  * Fixed some minor bugs with groups and some cleanup
  * Fixed some leaks (probably some still ther)
  * Fixing status message setting
  * Fixed photo thumbnails display when receiving media messages

 -- David Guillen Fandos <david@davidgf.net>  Sun, 22 Mar 2015 23:23:00 +0100

pidgin-whatsapp (0.7) trusty; urgency=low

  * Minor fixes on whatsapp API interaction
  * Many clean up and windows refactor
  * Added support for protocol version 1.5
  * Fix bug with GPS localization receive and send (float parsing)

 -- David Guillen Fandos <david@davidgf.net>  Tue, 27 Jan 2015 00:45:00 +0100

pidgin-whatsapp (0.6) trusty; urgency=low

  * Minor fixes on groups support
  * Changed some default values to get better compatibility
  * Implemented mesage read (blue tick) support
  * Fixed some upload issues (usually hangs during upload)
  * Added support for plugins to display sent message reception

 -- David Guillen Fandos <david@davidgf.net>  Tue, 23 Dec 2014 23:20:00 +0200

pidgin-whatsapp (0.5) quantal; urgency=low

  * Some minor cleanups
  * Removed official WhatsApp logos due to copyright issues

 -- David Guillen Fandos <david@davidgf.net>  Sat, 12 Jul 2014 14:15:00 +0200

pidgin-whatsapp (0.4-2) quantal; urgency=low

  * Many bugfixes
    - Fix for image upload (whenever we upload an image twice)
    - Fix ping parsing, avoids disconnects
    - Fixed a memory leak, this should alleviate memory consumption
  * Some other bugs not affecting Unix-like platforms

 -- David Guillen Fandos <david@davidgf.net>  Mon, 2 Feb 2014 23:40:00 +0200

pidgin-whatsapp (0.4-1) quantal; urgency=low

  * Updated WhatsApp API to the newest version (v1.4)
    - Contact statuses working again
    - Sending images might not work, please check
    - No more update messages from WA server
  * Other small bugs such as profile photo querying...

 -- David Guillen Fandos <david@davidgf.net>  Mon, 28 Jan 2014 00:15:00 +0200

pidgin-whatsapp (0.3-2) quantal; urgency=low

  * Fixed some bugs:
    - Location reception link updated
    - Added video reception support
    - Fixed SIGSEGV on some corner cases
  * Many other small bug fixes and code refactor

 -- David Guillen Fandos <david@davidgf.net>  Mon, 27 Jan 2014 23:40:00 +0200

pidgin-whatsapp (0.3-1) quantal; urgency=low

  * Fixed some bugs in chat groups
    - Images/files are received in the chat windows
    - Buddy names appear in the chat window
    - Notifications are received OK
  * Fixed escaping of HTML/XML characters such as double quotes
  * Adding offline status
  * Error checking for group chats with proper error notifications
  * Initial status fixed: the status set at startup time is used
  * Fixed memory leaks which caused memory starvation
  * Many other small bug fixes and code refactor

 -- David Guillen Fandos <david@davidgf.net>  Tue, 8 Oct 2013 23:20:00 +0200

pidgin-whatsapp (0.2-4) quantal; urgency=low

  * Fixed bug in build Makefile

 -- David Guillen Fandos <david@davidgf.net>  Mon, 14 Sep 2013 23:00:00 +0200

pidgin-whatsapp (0.2-3) quantal; urgency=low

  * Fixed bugs in user status parsing
  * Fixed message (images and files) in group chats

 -- David Guillen Fandos <david@davidgf.net>  Mon, 14 Sep 2013 22:50:00 +0200

pidgin-whatsapp (0.2-2) quantal; urgency=low

  * Fixed Makefile to add DESTDIR (fixes packaging errors)

 -- David Guillen Fandos <david@davidgf.net>  Mon, 26 Aug 2013 17:50:00 +0200

pidgin-whatsapp (0.2-1) quantal; urgency=low

  * Update to v0.2 due to conflicts with packaging

 -- David Guillen Fandos <david@davidgf.net>  Mon, 26 Aug 2013 13:07:00 +0200

pidgin-whatsapp (0.1-1) quantal; urgency=low

  * Update to v0.1 (see github.com/davidgfnet/whatsapp-purple for changes)


