=== debian/control ===
Source: pidgin-whatsapp
Section: net
Priority: optional
Maintainer: David Guillen Fandos <david@davidgf.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libglib2.0-dev, libpurple-dev, libfreeimage-dev (>= 3.0.0), libprotobuf-dev, protobuf-compiler
Standards-Version: 3.8.4
Homepage: https://github.com/davidgfnet/whatsapp-purple/

Package: pidgin-whatsapp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0 (>= 2.3.0), libfreeimage3, libprotobuf9
Description: WhatsApp plugin for Pidgin
 This is a WhatsApp plugin for Pidgin and libpurple messengers. It connects
 to the WhatsApp servers using the password (which needs to be retrieved
 separately). Only one client can connect at a time (including your phone).
